
Redmine - Defect #5788

Problem upgrading from 0.8.x 

2010-06-30 20:32 - John Pataki

Status: Closed Start date: 2010-06-30

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Ruby = 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

Rails = 2.3.5

Rack = 1.0.1

Passenger = 2.2.15

Apache: Server version: Apache/2.2.9 (Ubuntu)

Server built:   Mar  9 2010 22:03:13

Redmine Revision: 3824

I followed the steps to upgrade... (via svn up)

When trying certain db write tasks (create or edit) in redmine I get an error message

white page with simply

Application error

Rails application failed to start properly

If I look at the production log at the same time the error occurs, I see nothing immediately. If I go BACK in the browser and continue

with something else I see this in the production log:

/!\ FAILSAFE /!\  Wed Jun 30 11:06:59 -0700 2010

  Status: 500 Internal Server Error

  undefined method `rewind' for #<UNIXSocket:0x7f703ed1d340>

    /usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/utils.rb:309:in `parse_multipart'

    /usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/request.rb:133:in `POST'

    /usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:15:in `call'

 If I monitor the apache error log when the error shows up in the browser, I see this:

[ pid=17675 file=ext/apache2/Hooks.cpp:565 time=2010-06-30 11:29:17.333 ]:

  Unexpected error in mod_passenger: An error occured while sending the request body to the reques

t handler: Broken pipe (32)

  Backtrace:

     in 'virtual void Passenger::Application::Session::sendBodyBlock(const char*, unsigned int)' (

Application.h:159)

     in 'int Hooks::handleRequest(request_rec*)' (Hooks.cpp:490)

 I updated passenger using gem to the 2.2.15, is there some other mod_passenger change that is required here?

History

#1 - 2010-06-30 20:51 - John Pataki

FYI...

I found this discussion http://code.google.com/p/phusion-passenger/issues/detail?id=354 regarding this error on passenger.

So, I tried adding KeepAlive 0 to the redmine vhost and restarting apache.

It did not resolve the problem.

#2 - 2010-06-30 21:10 - John Pataki
http://code.google.com/p/phusion-passenger/issues/detail?id=354


I tried exiting out of Firefox, restarting and trying again.

This time I get redirected to login (I suppose I was logged in from session prior to upgrade and it continued to after upgrade without requiring a login)

Now the problem occurs on login and I can't login.

The page that shows up now is an internal server error from the rails app.

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

 I get no error logged in the apache error log as before.

I notice in the production log the same error as before, but as before it doesn't show up in the log until I do something else (maybe this is a delayed

write to the log file??)

/!\ FAILSAFE /!\  Wed Jun 30 12:10:27 -0700 2010

  Status: 500 Internal Server Error

  undefined method `rewind' for #<UNIXSocket:0x7f25f6d06088>

    /usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/request.rb:142:in `POST'

    /usr/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:15:in `call'

 For kicks, I tried accessing my redmine installation from Safari ... I pointed it at the site and it bypassed login (as expected since I click the keep me

logged in button) - and now it is producing the same as the original error sequence.

#3 - 2010-06-30 21:38 - John Pataki

- Status changed from New to Resolved

- % Done changed from 0 to 100

Ok, slightly embarrassed... but still this should be noted for others I suppose.

I thought I had updated to passenger 2.2.15 when all I did was update the gem.

The version still being used by apache was 2.2.1

I still needed to reinstall the new module and update the apache configuration to use the new module.

This resolved the problem.

It would be useful information however if others new they needed the very latest passengermodule on 0.9 since it was not a problem on 0.8

#4 - 2010-07-01 15:17 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Passenger 2.2.1 might be incompatible to "newer" rails versions (i.e. 2.3.5 used in 0.9), but this is a server problem, not a redmine one. Anyway, if

you find the installation docs lacking, you should be able to edit them :-)
